#ifndef _RS232_H
#define _RS232_H



// --------------------------------------------------------------------------
// I/O lines definition.
// --------------------------------------------------------------------------
#define RS232_NONE          -1      // No data was received.
#define RS232_ERR           -2      // There was en error on the RS232 reception.



// --------------------------------------------------------------------------
// Exported procedures and functions (see rs232.c for description).
// --------------------------------------------------------------------------
void RS232_init(void);
void RS232_send_byte(unsigned char data);
void RS232_send_string(const unsigned char * string);
signed int RS232_receive_data(void);
void RS232_receiver_reset(void);



#endif


